新版 unstable 推出,要追蹤骨架不用再擺校正姿勢了!


新的 unstable 版的 OpenNI / NITE 又推出囉!這一次 OpenNI 的版本從 1.3.x 進版到 1.4.0.2、NITE 也由 1.4.x 進版到了 1.5.0.1;而其中最重要的更新,目前在 Heresy 來看是有兩點:

  1. 透過 OpenNI 進行人體骨架分析,終於不必再擺出標準的 Psi 校正姿勢了!在這方面的演算法來說,OpenNI 終於算是趕上 Microsoft Kinect for Windows SDK 了~

  2. 在官方的 binary 下載的部分,也正式提供 ARM 的版本(應該是 Android 用的),可以直接下載使用了!

其他的修改呢,官方是說今天會再放到 GitHub(連結)上,不過看來到目前都還沒有進一步的資料就是了。

相關的 binary 檔案,OpenNI 都已經放出來了,有興趣的人已經可以到 OpenNI 網站的下載網頁下載了~
他的連結是:http://www.openni.org/Downloads/OpenNIModules.aspx

不過也請注意!由於要使用 Kinect 時,是需要的修改版的驅動程式 SensorKinect;但是他目前也還沒有推出對應新版本、也就是 OpenNI 1.5.x、Sensor 5.0.5.x 的版本,所以應該在執行上可能會有問題。也因此,如果是使用 Microsoft Kinect 的人,可以等到有驅動程式出了之後,再更新會比較好~

目前 Heresy 這邊的實測是:搭配舊版的驅動程式雖然可以抓到 device,但是雖然 NiViewer 可以執行,但是其他 sample 幾乎都會有問題、無法正確執行。目前在 OpenNI 官方的論壇的《New unstable release – No more calibration pose! (OpenNI-1.4.0.2 NITE-1.5.0.1 Sensor-5.0.5.1)》這篇文章裡,也有許多使用者都有反應這個問題。

另外,文章中也有建議大家參考新的範例程式:NiUserSelection 來看怎麼使用不用校正姿勢的骨架追蹤;之後等到他可以正常在 Kinect 上用之後,Heresy 再來研究看看吧~


OpenNI / Kinect 相關文章目錄

Advertisements

關於 Heresy
https://kheresy.wordpress.com

20 Responses to 新版 unstable 推出,要追蹤骨架不用再擺校正姿勢了!

  1. 通告: OpenNI / NITE Stable 版更新到 1.5.2.x! | Heresy's Space

  2. 通告: OpenNI / NITE 再更新、Unstable 1.5.2.7 版推出 « Heresy's Space

  3. John says:

    gestureGenerator 在這板無法順利建立…
    這個程式碼執行到gestureGenerator.Create 就壞掉了
    xn::Context context;
    res = context.Init();
    xn::ImageMetaData imgMD;
    printf(“init kinect\n");
    // create generator
    xn::ImageGenerator imageGenerator;
    res = imageGenerator.Create( context );
    printf(“init kinect\n");
    xn::GestureGenerator gestureGenerator;
    res = gestureGenerator.Create( context );
    printf(“init kinect\n");
    // Add gesture
    //gestureGenerator.AddGesture( “MovingHand", NULL );
    gestureGenerator.AddGesture( “Wave", NULL );
    gestureGenerator.AddGesture( “Click", NULL );
    gestureGenerator.AddGesture( “RaiseHand", NULL );
    //gestureGenerator.AddGesture(“MovingHand",NULL);

    喜歡

  4. 通告: 不用校正姿勢的 NITE 1.5 « Heresy's Space

  5. Berry says:

    你好,下載之後都可以確實的執行,但是卻不能打開其專案檔。

    錯誤報告為:
    剖析 XML 時發生下列錯誤: 檔案: C:\Program Files\PrimeSense\NITE\Samples\Boxes\Boxes_2010.vcproj 行: 9 資料行: 2 錯誤訊息: ‘9.00’ 違反 ‘7.00 7,00 7.10 7,10 8.00 8,00’ 的 ‘enumeration’ 條件。屬性 ‘Version’ 和與值 ‘9.00’ 的剖析失敗。 檔案 ‘C:\Program Files\PrimeSense\NITE\Samples\Boxes\Boxes_2010.vcproj’ 載入失敗。

    請問是為什麼呢? 環境維window XP 32bit

    謝謝:D

    喜歡

    • Heresy says:

      請問你所使用的 Visual Studio 版本?
      看起來的問題是在於你試圖使用舊版的 VisualStudio 來開啟 VisualStudio 2010 的專案檔?

      喜歡

      • Berry says:

        我的版本是Visual C++ 2010

        舊版的? 還是我再重載一次Visual Studio呢?

        謝謝:D

        喜歡

        • Berry says:

          補充 是Visual Studio 2010 Express

          然後只有安裝 Visual C++ 2010 Express

          喜歡

        • Heresy says:

          2010 版應該是沒有錯。
          不過。Heresy 有試過用 Professional 版開啟,是正常沒有問題的。

          喜歡

          • Berry says:

            會是因為我沒有在visual studio上做設定嗎?

            我是直接打開VC++ project檔 ex:NiViewer_2010.vcproj

            然後就跑出以上的錯誤

            謝謝

            喜歡

          • Heresy says:

            理論上,應該是點兩下專案檔,就可以開啟了。
            不過在 Professional 版,開啟的時候會需要做轉換的動作。

            喜歡

          • Berry says:

            會是因為新的版本問題嗎? 我有在Professional 版上測試

            轉換後可以打開,但是卻不能執行。

            懷疑是下載的官方檔案出錯了~"~

            喜歡

          • Heresy says:

            不知道你的不能執行是怎樣的問題?

            喜歡

          • Berry says:

            不能執行就是無法看到原始程式碼,然後只有跑出錯誤報告就沒了。

            後來我有去下載它的samples,想說從samples去建置專案檔,

            也有照著"透過 OpneNI 讀取 Kinect 深度影像資料"這篇去includec和linker相關的目錄

            後來卻一直錯在opengl 上面 請問Heresy 大能介紹一下如何從samples建置成專案

            並執行它的流程嗎(就像跑它給的範例程式這樣) 因為我想從它給的範例去改程式

            謝謝:D

            喜歡

          • Heresy says:

            ㄟ…你這樣應該算是轉換失敗,不算可以開啟。
            如果以專業版開啟都還是失敗,那感覺應該是軟體(VisualStudio)的問題了。

            另外,如果你要自己建立他的專案來編譯的話,你還需要把他的 glut32.lib 加到 linker 裡

            喜歡

          • Berry says:

            1.軟體問題指的是我下載的安裝檔有問題還是微軟本身提供的就有問題呢?

            2.我有將glut32.lib加到linker中,但是卻跑出許多類似

            ‘GL_TEXTURE_2D’ : undeclared identifier的錯誤訊息,上網查了是OpenGL的問題

            但是我有確實安裝了OpenGL也能執行它,請問Heresy 大這問題該如何解決呢,謝謝:D

            PS.我從OpenNI下載的Source中,裡面有一些像是GLES glh等資料夾,我是把它跟專案檔放在

            一起,請問這樣處理是對的嗎?

            喜歡

    • Heresy says:

      Heresy 本身沒有碰到這問題,所以不確定到底是哪出的問題,不過至少在 Heresy 這邊是沒問題的。可以的話,個人會建議你在找別台電腦試試看。

      而「undeclared identifier」的錯誤是代表沒有宣告。會出現這個錯誤訊息,代表你的 glut.h 沒有正確地 include,請檢察 include path 以及這些 header 檔的位置關係。

      喜歡

  6. Heresy says:

    對應新版 OpenNI 的 SensorKinect 出囉~
    https://github.com/avin2/SensorKinect/tree/unstable/Bin

    另外,之前的 NITE 1.5.0.1 有問題,出了 1.5.0.2!請大家記得更新~

    喜歡

  7. Heresy says:

    GitHub 上的 Source 更新了
    https://github.com/OpenNI/OpenNI/tree/unstable
    接下來就等 SensorKinect 吧~

    喜歡

發表迴響

在下方填入你的資料或按右方圖示以社群網站登入:

WordPress.com Logo

您的留言將使用 WordPress.com 帳號。 登出 / 變更 )

Twitter picture

您的留言將使用 Twitter 帳號。 登出 / 變更 )

Facebook照片

您的留言將使用 Facebook 帳號。 登出 / 變更 )

Google+ photo

您的留言將使用 Google+ 帳號。 登出 / 變更 )

連結到 %s

%d 位部落客按了讚: